#ifndef asteroids_h
#define asteroids_h

#include "type.h"

#include "sprite.h"
#include "debris.h"

struct asteroid {
    int size;
    boolean whole;
    SPRITE *sprite;
    DEBRIS *debris;
    struct asteroid *next;
};

struct asteroids {
    struct asteroid *active,*free;
    int wavesize, delay;
};

#define ASTEROIDS struct asteroids

ASTEROIDS *asteroids_Create();
void asteroids_Init();
void asteroids_Start();
int asteroids_HitMissile();
int asteroids_HitSprite();
void asteroids_Update();

void asteroids_GlobalSetBounce();

#endif asteroids_h
