#ifndef extras_h
#define extras_h

#include "param.h"
#include "ship.h"

struct extras {
    SHIP *ships[MAXEXTRA];
    boolean areOn, oldAreOn;
    int count, oldCount;          /* Number active (visible) */
};

#define EXTRAS struct extras

EXTRAS *extras_Create();
void extras_Destroy();

#define extras_Set(e, n) ((e)->count = (n))
#define extras_Get(e) ((e)->count)
#define extras_Inc(e) ((e)->count++)
#define extras_Dec(e) ((e)->count--)

#define extras_On(e) ((e)->areOn = TRUE)
#define extras_Off(e) ((e)->areOn = FALSE)

void extras_Update();

#endif extras_h
