#ifndef frac_h
#define frac_h

#define FRAC struct frac

struct frac {
    long n, d;
};

#define frac_SetN(f, N) \
        ((f)->n = (N))
#define frac_SetD(f, D) \
        ((f)->d = (D))
#define frac_SetND(f, N, D) \
        ((f)->n = (N), (f)->d = (D))

#define frac_GetN(f) \
        ((f)->n)
#define frac_GetD(f) \
        ((f)->d)
#define frac_GetND(f, N, D) \
        (*(N) = (f)->n, *(D) = (f)->d)

#define frac_Copy(f1, f2) \
	(*(f1) = *(f2))

#define frac_Equal(f1, f2) \
        ((f1)->n == (f2)->n && \
         (f1)->d == (f2)->d)

#define frac_ConstMul(c, f) \
        ((c) * (f)->n / (f)->d)

#endif frac_h
