#ifndef linefont_h
#define linefont_h

#include "shape.h"

#define LINEFONT struct linefont

struct linefont {
    VECT maxSize;          /* Max font char width and height */
    VECT charSpacing;      /* Offset to next char pos */
    VECT lineSpacing;      /* Offset to next line */
    SHAPE *chars[128];
};

LINEFONT *linefont_Create();
void linefont_Destroy();
SHAPE *linefont_Get();

#define linefont_GetMaxSize(lf, v) vect_Copy(v, &(lf)->maxSize)
#define linefont_GetCharSpacing(lf, v) vect_Copy(v, &(lf)->charSpacing)
#define linefont_GetLineSpacing(lf, v) vect_Copy(v, &(lf)->lineSpacing)

#endif linefont_h
