#ifndef missile_h
#define missile_h

#include "sprite.h"

#define MISSILE struct missile

struct missile {
    SPRITE *sprite;
    int timeout;
};

#define missile_Off(m) sprite_Off((m)->sprite)
#define missile_On(m) sprite_On((m)->sprite)
#define missile_IsOn(m) sprite_IsOn((m)->sprite)
#define missile_GetCurShape(s) sprite_GetCurShape((m)->sprite)
#define missile_SetPos(m,p) sprite_SetPosAndOld((m)->sprite,(p))
#define missile_GetPos(m,p) sprite_GetPos((m)->sprite,(p))
#define missile_RefPos(m) sprite_RefPos((m)->sprite)
#define missile_SetVel(m,v) sprite_SetVel((m)->sprite,(v))
#define missile_RefVel(m) sprite_RefVel((m)->sprite)
#define missile_SetVelMul(m,f) sprite_SetVelMul((m)->sprite,(f))
#define missile_SetTimeout(m,t) ((m)->timeout=(t))

MISSILE *missile_Create();
void missile_Destroy();

void missile_Update();

boolean missile_HitSprite();

void missile_GlobalSetBounce();

#endif missile_h
