#ifndef mlist_h
#define mlist_h

#include "missile.h"

#define MLIST struct mlist

struct mlElement {
    struct missile *missile;
    struct mlElement *next,*prev;
};

struct mlist {
    struct mlElement *free,*active;
    int on,count;
};

MLIST *mlist_Create();
void mlist_Destroy(),mlist_Update(),mlist_Enumerate(),mlist_Fire();

#define mlist_GetCount(m) ((m)->count)

#endif mlist_h
