#ifndef plot_aiws_h
#define plot_aiws_h


extern int plot_curX, plot_curY;
extern int plot_Width, plot_Height;
extern int three, four, six;

#define plot_SetMode(mode)  \
    switch(mode) { \
    case plot_SET : \
	gslop_(&three); \
	break; \
    case plot_RES : \
	gslop_(&four); \
	break; \
    case plot_INV : \
	gslop_(&six); \
	break; \
    } 

#define plot_Move(v) { \
    plot_curX = vect_GetX(v); \
    plot_curY = vect_GetY(v); \
}

#define plot_Line(v) { \
    int x[2], y[2]; \
    x[0] = plot_curX; \
    y[0] = plot_Height - 1 - plot_curY; \
    x[1] = plot_curX = vect_GetX(v); \
    y[1] = plot_Height - 1 - (plot_curY = vect_GetY(v)); \
    gsline_(&x[0], &y[0], &x[1], &y[1]); \
}

#define plot_SetLine(v) { \
	gslop_(&three); \
	plot_Line(v); \
}

#define plot_ResLine(v) { \
	gslop_(&four); \
	plot_Line(v); \
}

#define plot_InvLine(v) { \
	gslop_(&six); \
	plot_Line(v); \
}
#define plot_GetSize(v) { \
    vect_SetXY(v, plot_Width, plot_Height); \
}			  

#define plot_Flush() ;

#define plot_ClearBlack() gsclrs_()
#define plot_ClearWhite() {\
	int x[2], y[2];\
	int att1 = 15, att2 = -1, att3 = -1; \
	x[0] = 0; y[0] = 0; \
	x[1] = plot_Width - 1; \
	y[1] = plot_Height -1; \
	gsfatt_(&att1, &att2, &att3);gsfrec_(&x[0], &y[0], &x[1], &y[1]);}

#define plot_Clear() gsclrs_()
#endif plot_aiws_h
