#ifndef plot_apa16_h
#define plot_apa16_h

#include "apa16.h"

extern int pending;

#define plot_Move(v) { \
    apa16_Move(vect_GetX(v), vect_GetY(v)); \
    pending = 1; \
}

#define plot_SetLine(v) { \
    apa16_Draw(vect_GetX(v), vect_GetY(v), fn_Zero); \
    pending = 1; \
}

#define plot_ResLine(v) { \
    apa16_Draw(vect_GetX(v), vect_GetY(v), fn_One); \
    pending = 1; \
}

#define plot_InvLine(v) { \
    apa16_Draw(vect_GetX(v), vect_GetY(v), fn_Xor); \
    pending = 1; \
}

#define plot_Line(v) { \
    apa16_Draw(vect_GetX(v), vect_GetY(v), mode); \
    pending = 1; \
}

#endif
