/* The following are public for macro purposes only */

#include "bytemap.c"

BYTEMAP *plot_dpy = NULL;
enum plot_MODE plot_Mode;
int plot_curX, plot_curY;

void plot_Clear()
{
    register u_char b, *s = plot_dpy->bytes;
    register long count = (plot_dpy->width * plot_dpy->height) >> 4;

    switch (plot_Mode) {
        case plot_SET:
            bytemap_ClearBlack(plot_dpy);
            break;
        case plot_RES:
            bytemap_ClearWhite(plot_dpy);
            break;
        case plot_INV:
            bytemap_Invert(plot_dpy);
            break;
    }
}
