
#ifndef plot_megapel_h
#define plot_megapel_h

#include "megapel.h"

extern int plot_curX, plot_curY;

#define plot_SetMode(mode)  \
    switch(mode) { \
    case plot_SET : \
	m_Set_Polyline_Color_Index(1); \
	break; \
    case plot_RES : \
	m_Set_Polyline_Color_Index(0); \
	break; \
    case plot_INV : \
	m_Set_Logical_Operation(OP_SRC_XOR_DST); \
	break; \
    } 

#define plot_Move(v) { \
    plot_curX = vect_GetX(v); \
    plot_curY = vect_GetY(v); \
}

#define plot_Line(v) { \
    short x[2], y[2]; \
    x[0] = plot_curX; \
    y[0] = 1023 - plot_curY; \
    x[1] = plot_curX = vect_GetX(v); \
    y[1] = 1023 - (plot_curY = vect_GetY(v)); \
    m_Polyline(2, x, y); \
}

#define plot_SetLine(v) { \
	m_Set_Polyline_Color_Index(1); \
	plot_Line(v); \
}

#define plot_ResLine(v) { \
	m_Set_Polyline_Color_Index(0); \
	plot_Line(v); \
}

#define plot_InvLine(v) { \
	m_Set_Logical_Operation(OP_SRC_XOR_DST); \
	plot_Line(v); \
}
#define plot_GetSize(v) { \
    vect_SetXY(v, 1024, 1024); \
}			  

#define plot_Flush() ;

#define plot_ClearBlack() m_Set_Interior_Color_Index(0), m_Fill_Rectangle(0, 0, 1023, 1023)
#define plot_ClearWhite() m_Set_Interior_Color_Index(1), m_Fill_Rectangle(0, 0, 1023, 1023)

#define plot_Clear() plot_ClearBlack()
#endif plot_megapel_h
