#ifndef score_h
#define score_h

#include "text.h"

#define SCORE struct score

struct score {
    int value,old;
    TEXT *text;
};

SCORE *score_Create();
void score_Destroy();

#define score_On(s) (text_On(s->text),(s)->old=(-1))
#define score_Off(s) (text_Off(s->text),(s)->old=(-1))

#define score_GetSize(s,v) text_GetSize((s)->text,v)

#define score_Set(s, sc) ((s)->value = (sc))
#define score_Get(s) ((s)->value)

#define score_Inc(s, sc) ((s)->value += (sc))
#define score_Dec(s, sc) ((s)->value -= (sc))

#define score_SetPos(s, v) text_SetPos((s)->text, v)
#define score_GetPos(s, v) text_GetPos((s)->text, v)

#define score_SetFont(s, lf) text_SetFont((s)->text, lf)
#define score_GetFont(s) text_GetFont((s)->text)

void score_Update();

#endif score_h
