#include "sound.h"
#include "plot.h"

private int s_on;
boolean sound_GlobalInit()
{
  s_on = FALSE;
}

void sound_Done()
{
   XKeyboardControl kctl;
   kctl.bell_pitch = -1;
   kctl.bell_duration = -1;
   XChangeKeyboardControl(plot_display, KBBellPitch|KBBellDuration,
		         &kctl);
}

void sound_On()
{
   s_on = TRUE;
}

void sound_Off()
{
   s_on = FALSE;
}

void sound_Play(f, d, v)
unsigned short f, d, v;
{
   XKeyboardControl kctl;
   if (s_on) {
#ifdef notdef
       printf("f = %d d = %d v = %d\n", (int) f, (int) d, (int) v);
#endif
       kctl.bell_pitch = f;
       kctl.bell_duration = d;
       XChangeKeyboardControl(plot_display, KBBellPitch|KBBellDuration,
			      &kctl);
       XBell(plot_display, (int) 100);
    }
}
