#ifndef ghost_h
#define ghost_h

#include "text.h"
#include "ship.h"
#include "linefont.h"

#define GHOST struct ghost

struct ghost {
    TEXT *text;
    LINEFONT *font;
    SHIP *ghostship;
    int ghostclock;
};

GHOST *ghost_Create();
void ghost_Destroy();

void ghost_Update();

#define ghost_GetCurIndex(g) ship_GetCurIndex((g)->ghostship)

#endif ghost_h
