#ifndef rand_h
#define rand_h

#include <sys/time.h>

long time();
long random();

/*
 * Random numbers:
 *
 * 0 <= rand_Natural(n) < n
 * -n < rand_Integer(n) < n
 */

#define rand_Seed() srandom(time((long *)NULL))
#define rand_Natural(num) ((random() >> 4) % (num))
#define rand_Integer(num) (rand_Natural(num * 2 - 1) - num + 1)

#endif rand_h
