#include "score.h"

char *sprintf();

/*
 * NUMDIGIT and MAXSCORE must be kept in agreement
 */

#define NUMDIGIT 6
#define MAXSCORE 999999

SCORE *score_Create()
{
    SCORE *s = New(SCORE);
    s->value=0;
    s->old=(-1);
    s->text=text_Create();
    text_Update(s->text); /* so the width, etc. is valid */
    return s;
}

void score_Destroy(s)
SCORE *s;
{
    text_Destroy(s->text);
    Zap(s);
}

void score_Update(s)
SCORE *s;
{
    if(s->old!=s->value){
	char buf[NUMDIGIT+1];
	sprintf(buf,"%0*d",NUMDIGIT,s->value);
	text_Set(s->text,buf);
	text_Update(s->text);
	s->old=s->value;
    }
}
