#include "sound.h"
#include <sys/hft.h>

/*
 * If speakerfd is -1, the sound may not be turned on.
 */

private int speakerfd = 1;
private boolean isOn = FALSE;

extern int hft_fd;

boolean sound_GlobalInit()
{
    return (isOn = TRUE);
}

void sound_Done()
{
}

void sound_On()
{
    isOn = TRUE;
}

void sound_Off()
{
    isOn = FALSE;
}

void sound_Play(f, d, v)
unsigned short f, d, v;
{
    if (! isOn)
        return;

    hft_sound(hft_fd, f, d, v);
}
