#ifndef type_h
#define type_h

#include <sys/types.h>

char *malloc(), *realloc();

#define NewN(typ, n) \
          ((typ *) malloc((n) * sizeof (typ)))
#define OldN(typ, n, p) \
          ((typ *) realloc((char *) (p), (n) * sizeof (typ)))
#define ZapN(objs) \
          free((char *) objs)

#define New(typ) \
          NewN(typ, 1)
#define Zap(obj) \
          free((char *) obj)

#ifndef boolean
#define boolean short
#endif boolean

#ifndef TRUE
#define TRUE 1
#endif TRUE

#ifndef FALSE
#define FALSE 0
#endif FALSE

#ifndef NULL
#define NULL 0
#endif

#ifndef private
#define private static
#endif

typedef void (*procedure)();

#endif type_h
